For the complete documentation index, see llms.txt. This page is also available as Markdown.

SastSettings

This document uses the REST API. For more details, see the Authentication for API page.

Enable/Disable the Snyk Code settings for an org

patch

Enable/Disable the Snyk Code settings for an org

Required permissions

  • View Organization (org.read)

  • Edit Organization (org.edit)

Authorizations
AuthorizationstringRequired

API key value must be prefixed with "Token ".

Path parameters
org_idstring · uuidRequired

The id of the org for which we want to update the Snyk Code setting

Query parameters
versionstringRequired

Requested API version

Example: 2026-03-25Pattern: ^(wip|work-in-progress|experimental|beta|((([0-9]{4})-([0-1][0-9]))-((3[01])|(0[1-9])|([12][0-9]))(~(wip|work-in-progress|experimental|beta))?))$
Body
Responses
patch
/orgs/{org_id}/settings/sast

Retrieves the SAST settings for an org

get

Retrieves the SAST settings for an org

Required permissions

  • View Organization (org.read)
Authorizations
AuthorizationstringRequired

API key value must be prefixed with "Token ".

Path parameters
org_idstring · uuidRequired

The id of the org for which we want to retrieve the SAST settings

Query parameters
versionstringRequired

Requested API version

Example: 2026-03-25Pattern: ^(wip|work-in-progress|experimental|beta|((([0-9]{4})-([0-1][0-9]))-((3[01])|(0[1-9])|([12][0-9]))(~(wip|work-in-progress|experimental|beta))?))$
Responses
200

The SAST settings for the org are being retrieved

application/vnd.api+json
get
/orgs/{org_id}/settings/sast

Last updated

Was this helpful?